Obsoletes: wagon = 1.0-alt0.3.alpha5
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'
%define _without_maven 1
%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

%define bname     wagon
%define blevel    beta-2

# FIXME1: wagon-scm has been disabled for now due to maven-scm dependency
# FIXME2: haltOnFailure/Error has been set to false for 
# wagon-http/wagon-ssh-external tests due to failures.

Name:           maven-%{bname}
Version:        1.0
Release:        alt4_0.b2.2jpp1.7
Epoch:          0
Summary:        Maven Wagon
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://maven.apache.org/wagon
Source0:        wagon-1.0-%{blevel}-src.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/wagon/tags/wagon-1.0-beta-2/
Source1:        wagon-1.0-jpp-depmap.xml
Source2:        wagon-1.0-site.xml
Source3:        wagon-1.0-file-provider-build.xml
Source4:        wagon-1.0-ftp-provider-build.xml
Source5:        wagon-1.0-http-lightweight-provider-build.xml
Source6:        wagon-1.0-http-provider-build.xml
Source7:        wagon-1.0-http-shared-provider-build.xml
Source8:        wagon-1.0-provider-api-build.xml
Source9:        wagon-1.0-provider-test-build.xml
Source10:       wagon-1.0-ssh-common-provider-build.xml
Source11:       wagon-1.0-ssh-common-test-provider-build.xml
Source12:       wagon-1.0-ssh-external-provider-build.xml
Source13:       wagon-1.0-ssh-ganymed-provider-build.xml
Source14:       wagon-1.0-ssh-provider-build.xml
Source15:       wagon-1.0-webdav-provider-build.xml

Patch0:         wagon-1.0-wagon-http-lightweight-pom_xml.patch
Patch1:         wagon-1.0-wagon-http-pom_xml.patch
Patch2:         wagon-1.0-wagon-webdav-pom_xml.patch
Patch3:         wagon-1.0-WebDavWagon.patch
Patch4:         wagon-1.0-ServletServer.patch
Patch5:         wagon-1.0-pom_xml.patch
Patch6:         wagon-1.0-wagon-ftp-pom_xml.patch


%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: ant >= 0:1.6
BuildRequires: junit
%if %{with_maven}
BuildRequires: maven2-plugins >= 0:2.0.4
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-site
BuildRequires: maven2-plugin-surefire
BuildRequires: maven2-plugin-project-info-reports
BuildRequires: maven2-default-skin
%endif
BuildRequires: classworlds
BuildRequires: ganymed-ssh2
BuildRequires: excalibur-avalon-framework-api
BuildRequires: excalibur-avalon-framework-impl
BuildRequires: excalibur-avalon-logkit
BuildRequires: excalibur-cornerstone-connection-api
BuildRequires: excalibur-cornerstone-connection-impl
BuildRequires: excalibur-cornerstone-sockets-api
BuildRequires: excalibur-cornerstone-sockets-impl
BuildRequires: excalibur-cornerstone-threads-api
BuildRequires: excalibur-cornerstone-threads-impl
BuildRequires: excalibur-pool-api
BuildRequires: excalibur-pool-impl
BuildRequires: excalibur-thread-api
BuildRequires: excalibur-thread-impl
BuildRequires: it-could-webdav
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-net
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-slide-webdavclient
BuildRequires: jetty5
BuildRequires: jsch
BuildRequires: jtidy
BuildRequires: plexus-avalon-personality
BuildRequires: plexus-container-default
BuildRequires: plexus-ftpd
BuildRequires: plexus-interactivity
BuildRequires: plexus-jetty-httpd
BuildRequires: plexus-utils
BuildRequires: servletapi5
BuildRequires: xml-commons-apis
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

Requires: ganymed-ssh2
Requires: jakarta-commons-httpclient
Requires: jakarta-commons-net
Requires: jakarta-slide-webdavclient
Requires: jsch
Requires: jtidy
Requires: plexus-interactivity
Requires: plexus-utils
Requires: xml-commons-apis

%description
Maven Wagon is a transport abstraction that is used in Maven's 
artifact and repository handling code. Currently wagon has the 
following providers:
* File
* HTTP
* FTP
* SSH/SCP
* WebDAV (in progress)

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%if %{with_maven}
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
Documents for %{name}.
%endif

%prep
%setup -q -n %{bname}-%{version}-%{blevel}
cp %{SOURCE3} wagon-providers/wagon-file/build.xml
cp %{SOURCE4} wagon-providers/wagon-ftp/build.xml
cp %{SOURCE5} wagon-providers/wagon-http-lightweight/build.xml
cp %{SOURCE6} wagon-providers/wagon-http/build.xml
cp %{SOURCE7} wagon-providers/wagon-http-shared/build.xml
cp %{SOURCE8} wagon-provider-api/build.xml
cp %{SOURCE9} wagon-provider-test/build.xml
cp %{SOURCE10} wagon-providers/wagon-ssh-common/build.xml
cp %{SOURCE11} wagon-providers/wagon-ssh-common-test/build.xml
cp %{SOURCE12} wagon-providers/wagon-ssh-external/build.xml
cp %{SOURCE13} wagon-providers/wagon-ssh-ganymed/build.xml
cp %{SOURCE14} wagon-providers/wagon-ssh/build.xml
cp %{SOURCE15} wagon-providers/wagon-webdav/build.xml

# FIXME: the following should not be necessary with a newer site-plugin
mkdir -p src/site
cp %{SOURCE2} src/site/site.xml
cp %{SOURCE2} wagon-provider-api/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-file/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-ftp/src/site/site.xml
mkdir -p wagon-providers/wagon-http-shared/src/site
cp %{SOURCE2} wagon-providers/wagon-http-shared/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-http-lightweight/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-http/src/site/site.xml
mkdir -p wagon-providers/wagon-ssh-common/src/site
cp %{SOURCE2} wagon-providers/wagon-ssh-common/src/site/site.xml
mkdir -p wagon-providers/wagon-ssh-common-test/src/site
cp %{SOURCE2} wagon-providers/wagon-ssh-common-test/src/site/site.xml
mkdir -p wagon-providers/wagon-ssh-ganymed/src/site
cp %{SOURCE2} wagon-providers/wagon-ssh-ganymed/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-ssh-external/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-ssh/src/site/site.xml
cp %{SOURCE2} wagon-providers/wagon-webdav/src/site/site.xml
cp %{SOURCE2} wagon-provider-test/src/site/site.xml
cp %{SOURCE2} wagon-site/src/site/site.xml


%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav

find . -name build.xml -exec subst 's!depends="compile,test"!depends="compile"!' {} \;

%build
%if %{with_maven}

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        install javadoc:javadoc site

%else

pushd wagon-provider-api
export CLASSPATH=$(build-classpath plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-provider-test
export CLASSPATH=../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath plexus/container-default plexus/utils junit)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-file
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ftp
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds concurrent commons-collections commons-net \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/cornerstone-connection-api \
excalibur/cornerstone-connection-impl \
excalibur/cornerstone-sockets-api \
excalibur/cornerstone-sockets-impl \
excalibur/cornerstone-threads-api \
excalibur/cornerstone-threads-impl \
excalibur/excalibur-pool-api \
excalibur/excalibur-pool-impl \
excalibur/excalibur-thread-api \
excalibur/excalibur-thread-impl \
plexus/avalon-presonality plexus/container-default plexus/ftpd plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-http-shared
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath jtidy plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-http-lightweight
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-http-shared/target/wagon-http-shared-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds jetty5/jetty5 plexus/container-default plexus/jetty-httpd plexus/utils commons-logging servletapi5 jtidy)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-http
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-http-shared/target/wagon-http-shared-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds jetty5/jetty5 plexus/container-default plexus/jetty-httpd plexus/utils commons-codec commons-httpclient commons-logging servletapi5 jtidy)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ssh-common
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath plexus/interactivity-api plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ssh-common-test
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common/target/wagon-ssh-common-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ssh-external
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common/target/wagon-ssh-common-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common-test/target/wagon-ssh-common-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ssh-ganymed
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common/target/wagon-ssh-common-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common-test/target/wagon-ssh-common-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds ganymed-ssh2 plexus/container-default plexus/interactivity-api plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-ssh
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common/target/wagon-ssh-common-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../wagon-ssh-common-test/target/wagon-ssh-common-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds jsch plexus/container-default plexus/interactivity-api plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd wagon-providers/wagon-webdav
export CLASSPATH=../../wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:../../wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar
CLASSPATH=$CLASSPATH:$(build-classpath classworlds commons-codec commons-httpclient commons-logging it-could-webdav jetty5/jetty5 plexus/container-default plexus/utils slide/slide-webdavclient-webdavlib servletapi5)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd
%endif 

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
  wagon-provider-api/target/wagon-provider-api-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/provider-api-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-provider-api %{version} JPP/%{name} provider-api
install -m 644 \
  wagon-providers/wagon-file/target/wagon-file-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/file-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-file %{version} JPP/%{name} file
install -m 644 \
  wagon-providers/wagon-ftp/target/wagon-ftp-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ftp-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ftp %{version} JPP/%{name} ftp
install -m 644 \
  wagon-providers/wagon-http-lightweight/target/wagon-http-lightweight-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/http-lightweight-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-http-lightweight %{version} JPP/%{name} http-lightweight
install -m 644 \
  wagon-providers/wagon-http-shared/target/wagon-http-shared-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/http-shared-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-http-shared %{version} JPP/%{name} http-shared
install -m 644 \
  wagon-providers/wagon-http/target/wagon-http-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/http-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-http %{version} JPP/%{name} http
install -m 644 \
  wagon-providers/wagon-ssh-common/target/wagon-ssh-common-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ssh-common-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-common %{version} JPP/%{name} ssh-common
install -m 644 \
  wagon-providers/wagon-ssh-common-test/target/wagon-ssh-common-test-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ssh-common-test-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-common-test %{version} JPP/%{name} ssh-common-test
install -m 644 \
  wagon-providers/wagon-ssh-external/target/wagon-ssh-external-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ssh-external-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-external %{version} JPP/%{name} ssh-external
install -m 644 \
  wagon-providers/wagon-ssh-ganymed/target/wagon-ssh-ganymed-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ssh-ganymed-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh-ganymed %{version} JPP/%{name} ssh-ganymed
install -m 644 \
  wagon-providers/wagon-ssh/target/wagon-ssh-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/ssh-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-ssh %{version} JPP/%{name} ssh
install -m 644 \
  wagon-providers/wagon-webdav/target/wagon-webdav-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/webdav-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-webdav %{version} JPP/%{name} webdav
install -m 644 \
  wagon-provider-test/target/wagon-provider-test-%{version}-%{blevel}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/provider-test-%{version}.jar
%add_to_maven_depmap org.apache.maven.wagon wagon-provider-test %{version} JPP/%{name} provider-test

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-wagon.pom
install -m 644 wagon-provider-api/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-provider-api.pom
install -m 644 wagon-provider-test/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-provider-test.pom
install -m 644 wagon-providers/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-providers.pom
install -m 644 wagon-providers/wagon-file/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-file.pom
install -m 644 wagon-providers/wagon-ftp/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ftp.pom
install -m 644 wagon-providers/wagon-http-shared/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-http-shared.pom
install -m 644 wagon-providers/wagon-http-lightweight/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-http-lightweight.pom
install -m 644 wagon-providers/wagon-http/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-http.pom
install -m 644 wagon-providers/wagon-ssh-common/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ssh-common.pom
install -m 644 wagon-providers/wagon-ssh-common-test/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ssh-common-test.pom
install -m 644 wagon-providers/wagon-ssh-external/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ssh-external.pom
install -m 644 wagon-providers/wagon-ssh-ganymed/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ssh-ganymed.pom
install -m 644 wagon-providers/wagon-ssh/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-ssh.pom
install -m 644 wagon-providers/wagon-webdav/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.maven-wagon-webdav.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/provider-api
cp -pr wagon-provider-api/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/provider-api

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/file
cp -pr wagon-providers/wagon-file/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/file

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ftp
cp -pr wagon-providers/wagon-ftp/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ftp

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http-lightweight
cp -pr wagon-providers/wagon-http-lightweight/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http-lightweight

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http-shared
cp -pr wagon-providers/wagon-http-shared/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http-shared

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http
cp -pr wagon-providers/wagon-http/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/http

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-common
cp -pr wagon-providers/wagon-ssh-common/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-common

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-common-test
cp -pr wagon-providers/wagon-ssh-common-test/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-common-test

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-external
cp -pr wagon-providers/wagon-ssh-external/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-external

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-ganymed
cp -pr wagon-providers/wagon-ssh-ganymed/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh-ganymed

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh
cp -pr wagon-providers/wagon-ssh/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/webdav
cp -pr wagon-providers/wagon-webdav/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/ssh

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/provider-test
cp -pr wagon-provider-test/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/provider-test

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 wagon-provider-api/LICENSE.txt \
                $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%if %{with_maven}
cp -pr wagon-site/target/site/* \
                $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%{_javadir}/*
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_datadir}/maven2/poms/*.pom
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*%{version}.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%if %{with_maven}
%files manual
%doc %{_docdir}/%{name}-%{version}
%endif

%changelog
* Mon Dec 17 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt4_0.b2.2jpp1.7
- added dependency on new excalibur

* Sun Nov 18 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt3_0.b2.2jpp1.7
- build with maven2

* Sat Oct 06 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.b2.2jpp1.7
- resurrected from orphaned (put by mistake)

* Thu Jun 07 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.b2.2jpp1.7
- converted from JPackage by jppimport script
- note: heavily bootstrapped version

* Fri May 18 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.3.alpha5
- jpackage compatible jars
- provides maven-wagon

* Wed Mar 22 2006 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.2.alpha5
- Fix build with j2se-1.5

* Sat Dec 03 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1.alpha5
- Initial build for ALTLinux Sisyphus

